Bug 1235628 - Provide and use a common way to do reference counting of (internal) structures
Summary: Provide and use a common way to do reference counting of (internal) structures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.1.0
Assignee: Vijaikumar Mallikarjuna
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1228157 1235939
Blocks: qe_tracker_everglades 1202842 1223636 1224177 1226717
TreeView+ depends on / blocked
 
Reported: 2015-06-25 11:13 UTC by Vijaikumar Mallikarjuna
Modified: 2016-09-17 12:42 UTC (History)
13 users (show)

Fixed In Version: glusterfs-3.7.1-6
Doc Type: Enhancement
Doc Text:
Clone Of: 1228157
Environment:
Last Closed: 2015-07-29 05:07:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Vijaikumar Mallikarjuna 2015-06-25 11:13:01 UTC
+++ This bug was initially created as a clone of Bug #1228157 +++

Description of problem:
Many structures need reference counting, and each structure implements its own way of doing it. This is confusing and makes things more difficult to understand than it necessary.

Version-Release number of selected component (if applicable):
mainline

I am not a grape farmer:
http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/11202

--- Additional comment from Anand Avati on 2015-06-04 06:48:57 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "struct gf_ref" for common refcounting strutures) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-04 06:49:46 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "gf_ref_t" for common refcounting structures) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-04 07:19:00 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "gf_ref_t" for common refcounting structures) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-04 09:45:13 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "gf_ref_t" for common refcounting structures) posted (#6) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-04 19:15:08 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "gf_ref_t" for common refcounting structures) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-16 15:58:00 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "gf_ref_t" for common refcounting structures) posted (#8) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-16 16:03:23 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "gf_ref_t" for common refcounting structures) posted (#9) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-17 05:29:26 EDT ---

REVIEW: http://review.gluster.org/11022 (core: add "gf_ref_t" for common refcounting structures) posted (#10) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 6 SATHEESARAN 2015-07-10 07:03:53 UTC
VijayKumar,

Could you provide steps to verify this bug ?

Comment 8 SATHEESARAN 2015-07-17 11:26:00 UTC
Since this is a code level change, I would be able to verify the code level details. 

Tested the basic functionality of quota with RHGS 3.1 ( el6 base ) and sanity works well.

Marking this bug as VERIFIED for sanityonly

Comment 9 SATHEESARAN 2015-07-17 11:26:34 UTC
Tested with RHGS 3.1 - glusterfs-3.7.1-9.el6rhs

Comment 10 errata-xmlrpc 2015-07-29 05:07:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.